MEMSET(3) | NetBSD Library Functions Manual | MEMSET(3)

# NAME

memset — write a byte to byte string

# LIBRARY

Standard C Library (libc, -lc)

# SYNOPSIS

#include <string.h>

void *
memset(void *b, int c, size_t len);

# DESCRIPTION

The memset() function writes len bytes of value c (converted to an unsigned char) to the string b.

# RETURN VALUES

The memset() function returns the original value of b.

# SEE ALSO

bzero(3), swab(3)

# STANDARDS

The memset() function conforms to ANSI X3.159-1989 (“ANSI C”).

June 4, 1993 | NetBSD 5.99